
Redmine - Defect #12227

Unable to Login with the Quote " Symbol in Password Using LDAP Authentication

2012-10-26 23:02 - Matt Talbot

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.0.1

Description

We are using LDAP Authentication and had a user with the quote symbol " in their password that was unable to log in to their

redmine account.  After changing their password to exclude that character they were able to log into their account.  We believe the "

symbol may be escaping.

Debian "Squeeze" 64bit

Ruby 1.8.7

Redmine 1.0.1.stable (MySQL)

MySQL 5.5.28-1~dotdeb.0

History

#1 - 2012-10-27 08:40 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Works OK with Redmine 2.1 and Openldap. I've tested with quotes and double-quotes in the LDAP password.

#2 - 2020-12-14 02:47 - Go MAEDA

- Status changed from New to Closed
